package common.ai;

import common.entity.DamageSource;
import common.entity.types.EntityLiving;
import common.nbt.NBTTagCompound;

public interface IEntityNode {
	void update();
	void updateRenderAngles();
	void updateLeashedState();
	void setLeashTag(NBTTagCompound tag);
	EntityLiving getAttacking();
	EntityLiving getAttackTarget();
	void resetCombat();
	void trackDamage(DamageSource source, int amount);
	void sendDeathMessage();
}
